package com.yd.dal.service.meta.impl;

import com.yd.dal.entity.meta.MdTagNew;
import com.yd.dal.mapper.meta.MdTagNewMapper;
import com.yd.dal.service.meta.MdTagNewDALService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author xxy
 * @date 2021年06月21日 17:22
 */
@Service("mdTagNewDALService")
public class MdTagNewDALServiceImpl implements MdTagNewDALService {
    @Resource
    public MdTagNewMapper mapper;

    @Override
    public List<MdTagNew> selectByIsActive(Long isActive) {
        return mapper.selectByIsActive(isActive);
    }

    @Override
    public void insert(MdTagNew mdTagNew) {
        mapper.insert(mdTagNew);
    }

    @Override
    public void updateByPrimaryKeySelective(MdTagNew mdTagNew) {
        mapper.updateByPrimaryKeySelective(mdTagNew);
    }
}
